* {
    margin: 0%;
    font-family: "Segoe UI";
    scroll-behavior: smooth;
}

:root {
    --bg-color:#F3E6D3;
    --bg2-color:#616F5F;
    --all-color:#fff; 
}

/*NAVBAR SECTION*/

.logo {
    width: 100px;
}

.navbar {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 0px;
    background-color: var(--bg-color);
}

.lista-links {
    display: flex;
    list-style-type: none;
    justify-content: space-between;
    text-decoration: none;
    gap: 30px;
    padding: .2px;
}

.link-nav {
    text-decoration: none;
    color: brown;
    font-size: 1em;
    padding: 0;
}

.link-nav:hover {
    text-decoration: underline;
}

/*HEADER SECTION*/

.header {
    display: flex;
    padding: 50px 5% 50px 5%;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    background-image: url("./Imagenes/c837a6_3072f98b6961440ca0c47ce752c6d052_mv2.avif");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    min-height: 105vh;
    text-align: center;
    box-sizing: border-box;
    position: relative;
    z-index: 1;
}

.header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4); /* Color negro con 50% de opacidad */
    z-index: -1; /* Envía el overlay detrás del contenido pero encima del fondo */
}

.titulos {
    text-align: left;
    color: #fff;
    width: 100%;
    max-width: 600px;
    box-sizing: border-box;
    padding-right: 20px;
}

.aficion {
    font-weight: 100;
    font-size: 1.4em;
    padding-bottom: 20px;
}

.titulo-principal {
    font-size: 2.6em;
}

.descripcion {
    font-size: 2.9em;
}

.boton-container {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
    margin-top: 20px;
    max-width: 250px;
    box-sizing: border-box;
}

.menu-boton {
    background-color: transparent;
    color: var(--all-color);
    text-decoration: none;
    padding: 15px; 
    display: inline-block; 
    border-radius: 5px; 
    transition: background-color 0.3s ease; 
    border: 1px solid var(--all-color);
    font-size: 1.1em;
}

.menu-boton:hover {
    background-color: var(--bg2-color);
}

.platillo {
    max-width: 100%;
    background-color: var(--bg2-color);
    padding: 15px;
    text-align: center;
    color: var(--all-color);
    font-size: 1.2em;
}

/*MAIN SECTION*/

.main {
    width: 100%;
    max-width: 1200px; /* Ancho máximo para la página */
    margin: 0 auto; /* Centrar el main */
}

.primer-apartado, .apartado {
    display: flex;
    align-items: stretch; /* Crucial para que ambas columnas tengan la misma altura */
    width: 100%; /* Ocupa el 100% del main */
    padding:0;
    box-sizing: border-box;
}

.section-contenido {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    width: 100%; 
}

.come {
    display: flex;
    flex-direction: row;
    justify-content: flex-start; 
    align-items: stretch; 
    gap: 0; 
    padding: 0; 
    width: 100%;
    height: 70vh;
}

.texto-container {
    flex: 0 0 50%; 
    box-sizing: border-box; 
    padding: 30px; 

    display: flex; 
    flex-direction: column;
    justify-content: center; 
    align-items: flex-start; 
    text-align: left; 
}

.imagenes, .img-come {
    flex: 0 0 50%; 
    padding: 0; 
    margin: 0; 
    display: block; 
    box-sizing: border-box; 
    width: 50%; 
    height: 100%; 
    object-fit: cover; 
}

.texto-container {
    flex: 0 0 50%; 
    box-sizing: border-box; 
    padding: 30px; 
    display: flex; 
    flex-direction: column;
    justify-content: center; 
    align-items: flex-start; 
    text-align: left; 
}

.come-titulo {
    font-size: 4em;
    padding-bottom: 10px;
    font-family: sans-serif;
}

.texto-simple {
    font-weight: 100;
    font-size: 2em;
}

.otro-boton {
    background-color: var(--bg2-color);
}

.cuarto-apartado {
    background-color: var(--bg-color);
}

.direccion {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container-all {
    display: flex;
    flex-direction: row;
    padding: 30px;
}

.titulo-direccion {
    font-weight: 100;
    font-size: 2.1em;
    padding: 10px;
    text-align: center;
}

.elements-horario {
    padding: 10px;
    text-align: center;
    border-right: 2px solid var(--bg2-color);
    padding-right: 10px;
}

.subtitulo-titulo {
    text-align: center;
    font-size: 1.3em;
}

.subtitulo {
    font-size: 1.2em;
    font-weight: 400;
    padding: 5px;
    text-align: center;
}

.direccion-container {
    padding-left: 10px;
}

/*FOOTER SECTION*/

.footer {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: row;
    text-align: center;
    background-color: var(--bg2-color);
    padding: 35px;
    color: #fff;
    box-sizing: border-box;
    gap: 2px;
}

.contacto-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 10px;
    text-align: center;
    max-width: 50%;
    width: 50%;
}

.red {
    font-size: 1.7em;
}

.informativo {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
}

.link-familia {
    text-align: center;
    color: #fff;
    font-size: 1.2em;
}

.redes {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 2.4em;
    gap: 20px;
}

.link-red {
    color: #fff;
    text-decoration: none;
    font-weight: 700;
}

.link-red:hover {
    text-decoration: underline;
}

.footer-derechos {
    padding: 20px;
    text-align: center;
}

.nota-link {
    color: #25D366; /* El verde oficial de WhatsApp, es más vibrante y moderno */
    text-decoration: underline; 
    font-weight: 900;
    font-size: 0.9rem;
    transition: all 0.3s ease; /* Para que el cambio de color sea suave */
    display: inline-block;
    margin-top: 10px;
}

.nota-link:hover {
    color: #128C7E; /* Un verde más oscuro cuando pasas el mouse */
    transform: scale(1.05); /* Crece un poquito, dando sensación de interactividad */
}

::-webkit-scrollbar {
    width: 8px; /* Hazla más delgada */
    height: 8px;
}

/* Pista (fondo) - Casi transparente o muy claro */
::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1); /* Un gris muy tenue y transparente */
    border-radius: 10px;
}

/* Pulgar - Con poca opacidad */
::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.3); /* Un gris más oscuro pero con transparencia */
    border-radius: 10px;
    border: 2px solid rgba(0, 0, 0, 0.0); /* Borde totalmente transparente */
}

/* Pulgar al pasar el ratón (se hace un poco más visible) */
::-webkit-scrollbar-thumb:hover {
    background: rgba(0, 0, 0, 0.5); /* Se vuelve más visible al hacer hover */
}

/* Esquina */
::-webkit-scrollbar-corner {
    background: transparent;
}

/*MEDIA QUERIES*/

@media screen and (max-width:768px) {
    .logo {
        display: none;
    }

    .navbar {
        padding: 20px;
    }

    .header {
        padding: 30px 5%; 
        min-height: 40vh;
        height: 80vh;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .titulo-principal {
        font-size: 2.1em;
    }
    
    .descripcion {
        font-size: 2.6em;
    }

    .titulos {
        width: 100%; 
        max-width: none; 
        text-align: center;
        padding: 0;
    }

    .boton-container {
        width: 100%;
        max-width: 200px;
    }

    .menu-boton {
        padding: 8px 15px;
        font-size: 0.9em;
    }

    .platillo {
        font-size: 16px;
    }

    .primer-apartado, .apartado {
        flex-direction: column; /* Apilar en móviles */
        padding: 0; /* Si quieres que se pegue a los bordes de la ventana en móvil */
        width: 100%; /* Ocupa todo el ancho */
    }

    .come {
        flex-direction: column; /* Apilar texto e imagen en móviles */
        gap: 0; /* Sin gap entre ellos si quieres que se peguen */
        padding: 0; /* Sin padding en el contenedor flex */
    }

    .texto-container {
        flex: none; /* Deshabilita flex-basis/grow/shrink para que use width */
        width: 100%; /* Ocupa el 100% del ancho del padre en móvil */
        padding: 15px; /* Padding interno para texto en móvil */
        text-align: center; /* Centra el texto si es una columna completa */
        align-items: center; /* Centra los items si es flex column */
    }

    .imagenes, .img-come {
        flex: none; /* Deshabilita flex-basis/grow/shrink para que use width */
        width: 100%; /* La imagen ocupa el 100% del ancho de su columna en móvil */
        height: 250px; /* Una altura fija para imágenes en móvil puede ser útil */
        /* object-fit: cover; ya debería estar */
    }

    .footer {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        gap: 10px;
    }

    .contacto-container {
        gap: 20px;
    }

    .imagenes {
        display: none;
    }

    .come-titulo {
        font-size: 3em;
    }

    .texto-simple {
        font-size: 2em;
        text-align: center;
        padding: 0;
    }

    .primer-apartado {
        background-image: url("./Imagenes responsive/plato-hojaldre-crema-fresas-pistacho_140725-4913.avif");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        padding: 0;
        box-sizing: border-box;
    }

    .apartado {
        z-index: 1;
        position: relative;
        box-sizing: border-box;
        text-align: center;
        color: var(--all-color);
    }

    .primer-apartado::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.4); /* Color negro con 50% de opacidad */
        z-index: -1; /* Envía el overlay detrás del contenido pero encima del fondo */
    }

    .segundo-apartado {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        background-image: url("./Imagenes responsive/stock-of-mix-a-cup-coffee-latte-more-motive-top-view-foodgraphy-generative-ai-photo.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        padding: 20px;
        box-sizing: border-box;
    }

    .segundo-apartado::before {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.4); /* Color negro con 50% de opacidad */
        z-index: -1; /* Envía el overlay detrás del contenido pero encima del fondo */
    }

    .tercer-apartado {
        background-image: url("./Imagenes responsive/grupo-amigos-felices-reunidos-cafe-disfrutando-su-tiempo-cafe-mientras-hablan-ellos_637285-3997.avif");
        background-position: center;
        background-repeat:no-repeat ;
        background-size: cover;
        width: 100%;
        box-sizing: border-box;
        padding: 20px;
    }

    .tercer-apartado::before{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.4); /* Color negro con 50% de opacidad */
        z-index: -1; /* Envía el overlay detrás del contenido pero encima del fondo */
    }

    .cuarto-apartado {
        color: black;
    }

    .boton-container {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}